[Overview][Types][Classes][Variables][Index] | Reference for unit 'LCLClasses' (#lcl)

# OnDecLCLRefcountToZero

Event handler signalled when a reference counted LCL component is released.

## Declaration

Source position: lclclasses.pp line 91

`var OnDecLCLRefcountToZero: TNotifyEvent;`

## Description

OnDecLCLRefcountToZero is a TNotifyEvent variable which contains the event handler signalled when reference counted TLCLComponent instances are released. It is signalled (when assigned) from the DecLCLRefCount method in TLCLComponent using the component instance as an argument.

The handler routine is assigned to the variable when the ReleaseComponent method is called in TApplication. It is set to the DoDecLCLRefcountToZero method in the Application. The routine will continue to be called until the LCLRefCount for the TLCLComponent reaches 0. At time, the handler is unassigned and FreeComponent is called.